const request = (url, data, method = 'GET') => {
	return new Promise((resolve, reject) => {
		let header = {
			'Content-Type': 'application/json',
		}
		const res = uni.getStorageSync('storage_key');
		const token = res.token
		if (token) {
			header['token'] = 'Bearer ' + token
		}
		uni.request({
			url: url,
			data: data,
			method: method,
			header: header,
			success: res => {
				if (res.statusCode == 200) {
					let data = res.data
					if (data.code == 0) {
						resolve(res.data)
					} else {
						reject(res)
					}
				} else {
					reject(res)
				}
			},
			fail: res => {
				reject(res)
			}
		})
	});
}


module.exports = {
	request: request
}
